#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>

DWORD WINAPI
GetFileAttributes(LPCWSTR lpFileName)
{
	char *path;
	DWORD d;

	if(win_useunicode)
		return GetFileAttributesW(lpFileName);

	path = win_wstr2utf(lpFileName);
	d = GetFileAttributesA(path);
	win_free(path);
	return d;
}
